<div>
  <ng-container *ngIf="this.translations"  >
    <ng-container *ngFor="let translation of this.translations">
      <mat-card class='all-single-translations' (click)="this.onTranslationClick(this.translation)" >
        <div class="translation-rating">Language:{{translation.language.name}}</div>
        <div class="translation-text">Translation:{{translation.text}}</div>
        <div class="translation-text">Original Text: {{translation.origin.text}}</div>
      </mat-card>
    </ng-container>
  </ng-container>
</div>
